import AccessibilityIcon from 'assets/icons/ico/accessibility.svg'
import StyledCard from 'components/CommonKit/Card/StyledCard'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import '../OptionsView.scss'

const AccessibilityLink = () => {
  const { t } = useI18n()

  const goToAccessibility = () => {
    window.open('https://ecolyo.com/accessibilite.html')
  }

  return (
    <div className="styled-card-root">
      <div className="styled-card-content">
        <StyledCard onClick={goToAccessibility}>
          <StyledIcon icon={AccessibilityIcon} size={38} />
          {t('common.title_accessibility')}
        </StyledCard>
      </div>
    </div>
  )
}

export default AccessibilityLink
